in scala.xml.dtd
class PublicID

case `class` PublicID
  `extends` scala.xml.dtd.ExternalID
  `with` scala.xml.parsing.TokenTests
  `with` scala.ScalaObject
  `with` scala.CaseClass

  a public identifier

author:
  Burak Emir
param:
  publicLiteral the public identifier literal
param:
  systemLiteral (can be null for notation pubIDs) the system identifier literal

Constructor Summary
| `def` this ( publicId : java.lang.String , systemId : java.lang.String )

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` | `def` attribute : scala.xml.MetaData always empty
`final` `override` | `def` caseArity : scala.Int
`final` `override` | `def` caseElement ( x$1 : scala.Int ) : scala.Any
`final` `override` | `def` caseName : java.lang.String
`final` | `def` child : scala.Nil.type always empty
`override` | `def` equals ( x$1 : scala.Any ) : scala.Boolean
`override` | `def` hashCode : scala.Int
`final` | `def` label : java.lang.String the constant "#PI"
`final` | `def` toString ( sb : scala.runtime.compat.StringBuilder ) : scala.runtime.compat.StringBuilder appends "PUBLIC "+publicId+" SYSTEM "+systemId to argument
`final` `override` | `def` toString : java.lang.String returns "PUBLIC "+publicId+" SYSTEM "+systemId

Constructor Detail

`def` this ( publicId : java.lang.String , systemId : java.lang.String )

Def Detail

final override `def` $tag : scala.Int

final `def` attribute : scala.xml.MetaData

  always empty

final override `def` caseArity : scala.Int

final override `def` caseElement ( x$1 : scala.Int ) : scala.Any

final override `def` caseName : java.lang.String

final `def` child : scala.Nil.type

  always empty

override `def` equals ( x$1 : scala.Any ) : scala.Boolean

override `def` hashCode : scala.Int

final `def` label : java.lang.String

  the constant "#PI"

final `def` toString ( sb : scala.runtime.compat.StringBuilder ) : scala.runtime.compat.StringBuilder

  appends "PUBLIC "+publicId+" SYSTEM "+systemId to argument

final override `def` toString : java.lang.String

  returns "PUBLIC "+publicId+" SYSTEM "+systemId